import request from '@/utils/request'

// 用户列表
export function getUserList(params: any) {
    return request.get({ url: '/user.user/datas', params }, { ignoreCancelToken: true })
}

// 产品列表列表
export function apiProductLists(params: any) {
    return request.get({ url: '/land.product/datas', params })
}

// 土地表列表
export function apiLandLists(params: any) {
    return request.get({ url: '/land.land/lists', params })
}

// 添加土地表
export function apiLandAdd(params: any) {
    return request.post({ url: '/land.land/add', params })
}

// 编辑土地表
export function apiLandEdit(params: any) {
    return request.post({ url: '/land.land/edit', params })
}

// 删除土地表
export function apiLandDelete(params: any) {
    return request.post({ url: '/land.land/delete', params })
}

// 土地表详情
export function apiLandDetail(params: any) {
    return request.get({ url: '/land.land/detail', params })
}

// 绑定产品
export function apiLandBind(params: any) {
    return request.post({ url: '/land.land/bind', params })
}

// 用户信息
export function getUserInfo() {
    return request.get({ url: '/auth.admin/mySelf' })
}